PETSc version 3.15.5
Fix/Edit manual page

# PCSORGetOmega

Gets the SOR relaxation coefficient, omega (where omega = 1.0 by default).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSORGetOmega(PC pc,PetscReal *omega)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| omega | - relaxation coefficient (0 < omega < 2).

### Options Database Key

| -pc_sor_omega <omega> | - Sets omega

### See Also

PCSORSetSymmetric(), PCSORSetIterations(), PCEisenstatSetOmega(), PCSORSetOmega()

### Level

intermediate

### Location

src/ksp/pc/impls/sor/sor.c

### Implementations

PCSORGetOmega_SOR in src/ksp/pc/impls/sor/sor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages